### Method

# WPEPlatformWayland ToplevelWayland get_wl_surface

#### Declaration [src]

    wl_surface*
    wpe_toplevel_wayland_get_wl_surface (
      WPEToplevelWayland* toplevel
    )

#### Description [src]

Get the native Wayland surface of `toplevel`.

This method is not directly available to language bindings.

#### Return value

Type: `wl_surface*`

A Wayland `wl_surface`.

The returned data is owned by the instance.
The return value can be `NULL`.